Bug 56383 - network-functions modprobe causes network startup to fail
network-functions modprobe causes network startup to fail
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-16 12:38 EST by Brian Bothwell
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 15:20:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Bothwell 2001-11-16 12:38:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i686)

Description of problem:
/etc/sysconfig/network-scripts/network-functions uses "modprobe" to probe
for needed network modules, but on kernels where modules are disabled, this
modprobe command fails and causes "/etc/rc.d/init.d/network start" to
fail.  It seems the network-functions in RH 7.2 assumes modules are always
enabled?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try and start networking
2.
3.
	

Actual Results:  [root@animal libwww-perl-5.60]# /etc/rc.d/init.d/network
restart
Shutting down interface eth0:                              [  OK  ]
Setting network parameters:                                [  OK  ]
Bringing up interface lo:                                  [  OK  ]
Cannot send dump request: Connection refused
modprobe: Can't open dependencies file
/lib/modules/2.4.14_ext3_11-15-02/modules.dep (No such file or directory)
Cannot send dump request: Connection refused
modprobe: Can't open dependencies file
/lib/modules/2.4.14_ext3_11-15-02/modules.dep (No such file or directory)

Expected Results:  Setting network
parameters:                                [  OK  ]
Bringing up interface lo:                                  [  OK  ]
Bringing up interface eth0:                                [  OK  ]


Additional info:

I am going to recompile the kernel we are using (2.4.14 w/ ext3 patch)
to use modules for now, but network-functions should maybe have error
checking to not modprobe if kernel modules aren't installed?
Comment 1 Bill Nottingham 2005-09-29 15:20:19 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

If this persists on a current release, such as Fedora Core 4, please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.